package com.unissoft.intrusion;

import com.unissoft.common.MyConstant;
import com.unissoft.utils.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.redisson.transaction.HashKey;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author qingsong.han
 * @description:
 * @create 2022-11-14 17:32
 */
public interface GetIntrusionService {

    Object pullIntrusion();
    // 定义内部类
    @Slf4j
    @Service
    class IntrusionServiceImpl implements GetIntrusionService {
        @Resource
        private RedisUtil redisUtil;

        @Override
        public Object pullIntrusion() {
            if (redisUtil.hasKey(MyConstant.INTRUSION_ALARM_IP)) {
                Map<String, Object> hmget = redisUtil.hmget(MyConstant.INTRUSION_ALARM_IP);
                // 转list
                if (!CollectionUtils.isEmpty(hmget)) {
                    Collection<Object> values = hmget.values();
                    log.info("GetIntrusionService: {}", values);
                    // 成功返回数据,清除redis缓存
                    redisUtil.del(MyConstant.INTRUSION_ALARM_IP);
                    return values;
                }
            }
            return Collections.emptyList();
        }
    }

}
