package com.unissoft.intrusion;

import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 接收库点摄像头信息
 * @create 2022-11-07 10:19
 */
@Slf4j
@RestController
public class IntrusionController {
    @Resource
    private IntrusionService intrusionService;

    // 接收库点海康摄像头异常信息
    @PostMapping("/pushIntrusion")
    public void pushIntrusion(Integer sAlarmType, String alarmNow, String deviceIP, String orgCode) {
        intrusionService.pushIntrusion(sAlarmType, alarmNow, deviceIP, orgCode);
    }

    // 修改ICC通道号编码接口ICC_CHANNEL_CODE key:value(IP:channelCode)
    @GetMapping("/editChannelCode")
    public void editChannelCode(@RequestParam Map<String, String> channelCodes) {
        intrusionService.editChannelCode(channelCodes);
    }
}
